strrev
strrpos
String Functions
PHP Manual

# strripos

(PHP 5)

strripos — Find position of last occurrence of a case-insensitive string in a string

### Description

int strripos ( string `$haystack` , string `$needle` [, int `$offset` ] )

Find position of last occurrence of a case-insensitive string in a string. Unlike strrpos(), strripos() is case-insensitive.

### Parameters

`haystack`

  The string to search in

`needle`

  Note that the `needle` may be a string of one or more characters.

`offset`

  The `offset` parameter may be specified to begin searching an arbitrary number of characters into the string.

  Negative offset values will start the search at `offset` characters from the start of the string.

### Return Values

Returns the numerical position of the last occurence of `needle` . Also note that string positions start at 0, and not 1.

If `needle` is not found, `FALSE` is returned.

Warning

This function may return Boolean `FALSE`, but may also return a non-Boolean value which evaluates to `FALSE`, such as 0 or "". Please read the section on Booleans for more information. Use the === operator for testing the return value of this function.

### Examples

Example #1 A simple strripos() example

`<?php
$haystack = 'ababcd';
$needle = 'aB';
$pos = strripos($haystack, $needle);
if ($pos === false) {
echo "Sorry, we did not find ($needle) in ($haystack)";
} else {
echo "Congratulations!\n";
echo "We found the last ($needle) in ($haystack) at position ($pos)";
}
?>`

The above example will output:

       Congratulations!
       We found the last (aB) in (ababcd) at position (2)

### See Also

- strpos()
- stripos()
- strrchr()
- substr()
- stristr()
- strstr()

strrev
strrpos
String Functions
PHP Manual